<block className="ReceivedDamageLog">
		
		<bind name="collectionDH" value="CC.userPrefs; 'userPrefsCollection'"/>
        <bind name="entityDH" value="'userPrefsEntity'; userPrefsCollection[0].id"/>
		<bind name="watchDH" value="'userPrefs'; ['userPrefsEntity.userPrefs.evUserPrefsChanged']; userPrefsEntity.userPrefs.userPrefs"/>
		
		<bind name="draggable" value="'RDDragZone'; 'IMPosition'; 'RD'"/>
		<bind name="watch" value="'RDPositionX'; (userPrefs.IMPositionX.RD == null)  ? '385' :  userPrefs.IMPositionX.RD"/>
        <bind name="watch" value="'RDPositionY'; (userPrefs.IMPositionY.RD == null)  ? ((stageSize.y) - 250) :  userPrefs.IMPositionY.RD"/>
        <bind name="left" value="RDPositionX"/>
        <bind name="top" value="RDPositionY"/>
		
		<bind name="appear" value="'addedToStage'; 0.6; 0; {alpha: 0}; {alpha: 1}"/>
		<bind name="controller" value="MLControllers.MLDamageController"/>
			
		<bind name="watch" value="'hitlogOwnShipEnabled'; (userPrefs.elementsGroupExpand.hitlogOwnShipEnabled == null) ? true : userPrefs.elementsGroupExpand.hitlogOwnShipEnabled"/>
		<bind name="visible" value="hitlogOwnShipEnabled"/>			
	
	<block>
		<block className="contrast_panel" type="native">
			<styleClass value="$FullsizeAbsolute"/>
			<bind name="visible" value="true"/>
			<style>
				<marginTop value="-2px"/>
				<marginBottom value="-2px"/>
			</style>
			<bind name="style" value="'alpha'; 0.4"/>
		</block>
		<block type="text">
					<bind name="text" value="'IDS_TAKEN_DAMAGE_HINT'"/>
					<styleClass value="$TextDefaultBold"/>
					<style>
						<width value="160"/>
						<fontSize value="14"/>
						<textAlign value="center"/>
					</style>
		</block>		
		<block>
			<style>
				<width value="160px"/>
			</style>
			<!--   -->
			<bind name="repeat" value="damagedMeEntities;'SelfDamagedRow';{}"/>
		</block>
		<style>
			<position value="absolute"/>
		</style>
		<params>
			<param name="name" value="RDDragZone"/>
		</params>
	</block>	
</block>